import { CSSProperties } from 'react';
export declare type HTML_EDITOR_HIGHLIGHT_CUSTOM_BUTTON = {
    name: string;
    iconUrl: string;
    tooltip?: string;
    onClick: (editor: any, text: string, colorName: string) => void;
};
export declare type HTML_EDITOR_PROPS_TYPE = {
    content: string;
    placeholder?: string;
    style?: CSSProperties;
    className?: string;
    hideH1?: boolean;
    hideH2?: boolean;
    hideH3?: boolean;
    hideH4?: boolean;
    supportHighlight?: boolean;
    supportSourceCode?: boolean;
    readonly?: boolean;
    id?: string;
    onChange?: (content: string) => void;
    onReady?: () => void;
    highlightCustomButtons?: HTML_EDITOR_HIGHLIGHT_CUSTOM_BUTTON[];
    onHighlight?: (editor: any, color: string) => void;
    recordId?: string;
    entityName?: string;
    attributeName?: string;
    highlightColors?: string[];
};
export declare type HTML_EDITOR_FLOAT_EDIT_TOOLBAR = {
    editor: any;
    supportHighlight?: boolean;
    hideH1?: boolean;
    hideH2?: boolean;
    hideH3?: boolean;
    hideH4?: boolean;
    supportSourceCode?: boolean;
};
export declare type HTML_EDITOR_FLOAT_HIGHLIGHT_TOOLBAR = {
    editor: any;
    customButtons?: HTML_EDITOR_HIGHLIGHT_CUSTOM_BUTTON[];
    onHighlight?: (editor: any, color: string) => void;
    colors?: string[];
};
